using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("SettingCategory", Schema = "fp")]
public partial class SettingCategory
{
    [Column("SettingCategoryID")]
    public int SettingCategoryId { get; set; }

    [Column("CategoryID")]
    public int CategoryId { get; set; }

    [Column("SystemSettingID")]
    public int SystemSettingId { get; set; }

    [Column("BudgetConfigDefaultSettingID")]
    public int BudgetConfigDefaultSettingId { get; set; }
}
